from ase.lattice.surface import fcc111, add_adsorbate
from ase.visualize import view

import numpy as np
a0 = 4.218

system = fcc111('Au', a=a0, size=(4, 4, 6), orthogonal=True)
add_adsorbate(system, 'O', 1.37, 'fcc')

view(system)
