import numpy as np

Oref = -1.47

def toarray(arg):
    return np.array(map(float, arg.split()))

clean = toarray("""-807.58794
-813.46552
-821.59422
-831.93940
-844.52974
-859.34632
-876.39969""")

full = toarray("""-812.07092
-817.29195
-825.40410
-835.74208
-848.29705
-863.16219
-880.24745""")

C = toarray("""5.000000


7.000000


7.666667


8.333333


9.000000


9.000000


9.000000""")

import pylab as pl

pl.subplot(2,1,1)

pl.plot(full - clean - Oref, lw=2)
pl.plot(range(len(full)), full - clean - Oref, 'bo', lw=2)
pl.xticks(range(len(full)), '13 55 147 309 561 923 1415'.split())
pl.ylabel('Eads')
pl.xlabel('Cluster corresponding to facet type')

pl.subplot(2,1,2)
pl.plot(C, full - clean - Oref, lw=2)
pl.plot(C, full - clean - Oref, 'bo', lw=2)
pl.ylabel('Eads')
pl.xlabel('Avg coordination')

pl.show()
